
Foreman - Refactor #17724

Upgrade jQuery to version 3.x

12/18/2016 05:23 AM - Tomer Brisker

Status: New   

Priority: Normal   

Assignee:    

Category: JavaScript stack   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

We no longer support IE<10, so there is no benefit in running the 1.x version of jQuery which includes a lot of workarounds for older

version of IE.

Although there have been some breaking changes, we can take advantage of the jQuery migrate plugin which will let us know if we

hit any and provide core and plugin maintainers time to fix any issues.

Related issues:

Has duplicate Foreman - Refactor #21860: Update jquery to version 3 Duplicate

Has duplicate Foreman - Bug #28806: Foreman uses old version of JQUERY (v2) Duplicate

Blocked by Foreman - Refactor #16285: Move jquery-ui from bundle to npm Rejected 08/25/2016

Blocked by Foreman - Refactor #21640: Drop jQuery-ui Ready For Testing

Blocked by Foreman - Bug #12454: Replace gridster.js with another dashboard l... New 11/12/2015

History

#1 - 12/18/2016 07:52 AM - Tomer Brisker

- Blocked by Refactor #16285: Move jquery-ui from bundle to npm added

#2 - 11/13/2017 12:41 PM - Tomer Brisker

- Blocked by Refactor #21640: Drop jQuery-ui added

#3 - 04/06/2020 01:14 PM - Tomer Brisker

- Has duplicate Refactor #21860: Update jquery to version 3 added

#4 - 04/06/2020 01:14 PM - Tomer Brisker

- Has duplicate Bug #28806: Foreman uses old version of JQUERY (v2) added

#5 - 04/06/2020 01:16 PM - Tomer Brisker

- Category set to JavaScript stack

#6 - 04/06/2020 01:17 PM - Tomer Brisker

- Blocked by Bug #12454: Replace gridster.js with another dashboard library added
